Name:          python-networkx
Version:       2.5
Release:       2mamba
Summary:       A Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://networkx.github.io/documentation/stable/index.html
Source:        https://pypi.debian.net/networkx/networkx-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-networkx' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:    python-networkx1%{?pyappend:-%pyappend} <= 1.11
%pyver_package
%endif

%prep
%setup -q -n networkx-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so

## note: add extra documentation (if any)
# %doc README.rst

%changelog
* Wed Feb 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-2mamba
- obsolete python-networkx1

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-1mamba
- package created using the webbuild interface
